import {Component, Input, OnInit} from '@angular/core';
import {FormGroup} from "@angular/forms";

@Component({
  selector: 'collab-comp-input-textbox',
  templateUrl: './input-textbox.component.html',
  styleUrls: ['./input-textbox.component.css']
})
export class InputTextboxComponent implements OnInit {
  @Input() type!: string;
  @Input() id!: string;
  @Input() formGroup!: FormGroup;
  @Input() formControlName!: string;
  @Input() label!: string;
  @Input() labelClass?: string;
  @Input() isSubmitted!: boolean;
  @Input() isDisabled!: boolean;
  @Input() errorControlName!: any;
  @Input() messageConfig: any;
  @Input() placeholder!: string;

  constructor() { }

  ngOnInit(): void {
  }

}
