import { Component, Input } from '@angular/core';
import { FormControl } from '@angular/forms';


@Component({
    selector: 'collab-comp-form-inline-error',
    templateUrl: './form-inline-error.component.html',
    styleUrls: ['./form-inline-error.component.scss']
})
export class FormInlineErrorComponent {
    @Input() public errorControlName!: FormControl;
    @Input() public isSubmitted!: boolean;
    @Input() public messageConfig!: {
        required: string;
        pattern: string;
        minimumNeededSelected: string;
        serverSidePattern: string;
    };
}
